Subject: Re: [PATCH v2] commit: add commit.signoff config option

From: Junio C Hamano <[email-masked]>
Date: Thu, 25 Jun 2015 09:01:21 -0700

Caio Marcelo de Oliveira Filho <[email-masked]> writes:

> A similar concern probably applies to format.signOff option. Would
> be sufficient to add a note about conscious act (like
> format.signOff has) to the config description?

I am generally in negative on automating this.  This is not just you
but makes everybody else's S-o-b less and less meaningful ("Their
tool have ways to add that string randomly, and many of these ways
the user ends up adding that string without even conciously thinking
what they are doing.  Does that string even mean anything anymore?").

One solution might be to make this not a straight-forward boolean,
but an option that superficially takes a string and treats one
specific value as "true" and everything else as "false", e.g.

[commit]
    signoff = "I certify that all my work is licenseable under DCO"

I dunno.